Admin
Audit Event Get
Retrieve a specific audit event by ID.
GET
Retrieve a specific audit event by ID.
cookie
storyden-session<token>audit_event_id*stringAudit event ID
Format
xidOK
application/json- response
id*IdentifierA unique identifier for this resource.
Format
xidtype*AuditEventTypeValue in
"thread_deleted""thread_reply_deleted""account_suspended""account_unsuspended""account_content_purged""moderation_note_created""moderation_note_deleted""account_warned""account_warning_updated""account_warning_deleted""account_password_reset_token_issued""account_password_reset_email_sent"timestamp*stringFormat
date-timeenacted_by?A minimal reference to an account.
thread_id*IdentifierA unique identifier for this resource.
Format
xidcurl -X GET 'https://example.com/api/admin/audit-events/string'Example Response
{ "id": "string", "timestamp": "2019-08-24T14:15:22Z", "enacted_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "type": "thread_deleted", "thread_id": "string"}Admin Theme Update PUT
Atomically replace the active custom theme manifest.
Audit Event List GET
List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.